Kerbal Space Program - Bug #9694

Landing Legs Spontaneously Combust on Impact with Surface
05/06/2016 08:45 AM - Toa_Aerrow

Status: Closed Start date: 05/06/2016
Severity: High % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

In my modded install of KSP (version 1.1.2), | attempted to land a crew transport on the surface of the Mun near my Munbase. Upon
what | would call a perfect touchdown, the entire craft suddenly experienced extreme g-forces and blew up. | tested out the same
mission in a non-modded install of the same version to find the craft experiences the same effect.

This is annoying, as I'm playing in career mode with Kerbal Construction Time, and making that landing is necessary to keep the
game flowing, if you know what | mean. It also makes landing completely impossible for anyone, so you should understand if | say
this it high priority’.

| believe it may be related to steve_v's issue, where Kerbals on EVA will destroy the LT-05 landing strut (and everything attached to

it) on contact, as in both of my tests it was the landing gear that touched the surface prior to the kraken showing up.

Attached is a video showing some of my testing of the issue, particularly the catastrophic landing. The first half is when | performed
the experiment with mods, and the second without (just to show there's no difference whether | use mods or not).

Also attached is the output log from the non-modded test | made, and my system's specifications (DxDiag.txt). | tried to include the
persistent save file but it's bigger than 5 MB, though | imagine if you try with any craft equipped with landing legs of any size than
you'll see what | mean.

History

#1 - 05/07/2016 04:37 AM - krimsalt

Try it again without the ladder deployed. Maybe the ladder is interacting in a strange way. You're the first who does their landings with the ladders out,
and the only who I've seen have this problem

Another thing you can do is try a FRESH install (backup your saves, and uninstall, then delete the remaining KSP folder, and install as if from scratch)

#2 - 05/07/2016 04:41 AM - krimsalt

Your output log is showing a lot of weird things, missing components and whatnot... try the fresh build..

another thing, iif you can, is take a screenshot of the flight report (F3) after the Kraken to see what may have initiated the explosion (maybe there was
some strange part clipping)

#3 - 05/07/2016 11:38 AM - Apollo13

AH yes, the exploding landing legs issue. | reported exploding LT-1 legs in the pre-release bug tracker and 1.1. So have other folks. So far, Squad
devs cannot replicate.

#4 - 05/10/2016 04:54 AM - Toa_Aerrow

The reinstall seems to have solved the exploding issue, although now all LT-2 Landing Legs on every single one of my crafts has been rotated 45
degrees. This hasn't affected them much though, 'cause now the legs are facing straight down. I'll update if any more issues pop up.

#5 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#6 - 08/06/2019 07:51 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100
#7 - 08/06/2019 07:51 PM - chris.fulton

- Status changed from Resolved to Closed

Files

output_log.ixt 410 KB 05/06/2016 Toa_Aerrow
KSP Landing Legs Video WMM 3.mp4 4.59 MB 05/06/2016 Toa_Aerrow

DxDiag.txt 25.6 KB 05/06/2016 Toa_Aerrow
